package cn.axzo.workflow.form.service.converter;

/**
 * Object to List
 *
 * @author wangli
 * @since 2024-11-11 13:42
 */

import org.springframework.util.CollectionUtils;
import org.springframework.util.StringUtils;

import java.util.List;

public class ConversionUtils {
    public static Object convertObject(Object obj) {
        if (obj instanceof List) {
            List<?> list = (List<?>) obj;
            if (CollectionUtils.isEmpty(list)) {
                return null;
            }
            return list;
        } else if (obj instanceof String) {
            if (StringUtils.pathEquals(obj.toString(), "[]")) {
                return null;
            }
            // 如果输入不是列表类型，返回空列表或进行其他处理
            return obj;
        } else {
            return obj;
        }
    }
}
